Subject: Re: [MMUSIC] AD Evaluation of draft-ietf-mmusic-sctp-sdp-21 - EDITORIAL comments

From: Christer Holmberg <[email-masked]>
Date: Sat, 21 Jan 2017 14:55:46 +0000

Hi Ben,

Thanks for your review! Please see inline for my replies to your EDITORIAL comments (I'll address the technical ones in a separate e-mail).

----------------

Editorial Comments:

> -1, 2nd paragraph: Seems like SCTP is also used to transport data :-)

Occasionally, yes :)

I suggest the following new text:

   "The Stream Control Transmission Protocol (SCTP) [RFC4960] is a
   reliable transport protocol used to transport data between two
   endpoints using SCTP associations."

----

> -1, last paragraph: is "strongly RECOMMENDED" intended to be stronger than RECOMMENDED? Assuming you don't mean MUST, please consider dropping the adverb.

I suggest to use "RECOMMENDED".

----

> -6.1, typo: thevmaximum

Will be fixed.

----

>-9.1, 2nd paragraph: s/mange/manage

Will be fixed.

----

>-9.3, last paragraph: What does "impact" mean in context? Change state? 
>(It seems like these actions would likely cause data to be sent at the SCTP layer, which seems like a kind of impact.)

I am not sure I understand what you mean by "sent at the SCTP layer". If an SCTP association is closed, no data can be sent on the STCP layer.

The purpose of the text is to point out that the underlying DTLS association is not impacted/affected when closing/establishing SCTP associations using the 'sctp-port' attribute. That also means that the state is not changed.

----

>-10.3: Does "identical" mean identical to that from the offer?

Correct. Note that the bullet text refers to the text in the first paragraph, which talks about the m- line in the offer.

But, if you think it is unclear, we could say:

"with an m- line proto value [RFC3264] identical to the value in the offer."

----

>-10.3, 8th paragraph: s/"closing establishing"/"closing or establishing"

I suggest to say:

"for closing the currently used, and establishing a new, DTLS association"

----

Regards,

Christer

---

From: "Ben Campbell" <[email-masked]>
Date: Mon, 23 Jan 2017 20:25:34 -0600

Thanks for the response. Replies inline.

Ben.

On 21 Jan 2017, at 8:55, Christer Holmberg wrote:

> Hi Ben,
>
> Thanks for your review! Please see inline for my replies to your 
> EDITORIAL comments (I'll address the technical ones in a separate 
> e-mail).
>
> ----------------
>
> Editorial Comments:
>

WFM.

[...]

>> (It seems like these actions would likely cause data to be sent at 
>> the SCTP layer, which seems like a kind of impact.)
>
> I am not sure I understand what you mean by "sent at the SCTP layer". 
> If an SCTP association is closed, no data can be sent on the STCP 
> layer.

Sorry, I meant sent at the DTLS layer.

>
> The purpose of the text is to point out that the underlying DTLS 
> association is not impacted/affected when closing/establishing SCTP 
> associations using the 'sctp-port' attribute. That also means that the 
> state is not changed.

My point is that "impact" can mean many things. I think we are saying 
that the state of the DTLS security association is unchanged, right?

> Correct. Note that the bullet text refers to the text in the first 
> paragraph, which talks about the m- line in the offer.
>

That would help.

> "for closing the currently used, and establishing a new, DTLS 

WFM.

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 24 Jan 2017 13:03:11 +0000

Hi,

...

>that the state of the DTLS security association is unchanged, right?

Yes.

So, would the following change address your issue?

 "NOTE: Closing and establishing a new SCTP association using the SDP
  'sctp-port' attribute will not affect the state of the underlying DTLS
  association.²

The last bullet of section 10.5 contains similar text, and I assume you
would have the same issue with that. If so, I could change it:

 "o  NOTE: This specification does not define a mechanism for
    explicitly closing a DTLS association while maintaining the
    overlying SCTP association.  However, if a DTLS association is
    closed and replaced with a new DTLS association, as a result of
    some other action [I-D.ietf-mmusic-dtls-sdp], the state of the
    SCTP association is not affected."

Personally I think ³affected² fits better than ³changed², but if you want
to use ³changed² I won¹t argue against you :)

----

>> "with an m- line proto value [RFC3264] identical to the value in the

I¹ll change as suggested.

Regards,

Christer

---

From: "Ben Campbell" <[email-masked]>
Date: Tue, 24 Jan 2017 09:43:39 -0600

>     SCTP association is not affected."

Both work for me.

> to use ³changed² I won¹t argue against you :)

"Affected" is fine. It's the "...state of..." part that fixes it in my 
mind. :-)

[...]

Thanks!

Ben.